// SPDX-FileCopyrightText: 2019-2024 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

// Local includes
#include "MacOSApplication.h"

// Qt includes
#include <QApplication>
#include <QFileOpenEvent>

MacOSApplication::MacOSApplication(int &argc, char **argv) : QApplication(argc, argv)
{
}

bool MacOSApplication::event(QEvent *event)
{
    if (event->type() == QEvent::FileOpen) {
        QFileOpenEvent *openEvent = static_cast<QFileOpenEvent *>(event);
        Q_EMIT fileOpenRequested(openEvent->file());
    }

    return QApplication::event(event);
}
