// SPDX-FileCopyrightText: 2024 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef IMAGELABEL_H
#define IMAGELABEL_H

// Qt includes
#include <QLabel>

// Qt classes
class QResizeEvent;
class QTimer;

class ImageLabel : public QLabel
{
    Q_OBJECT

public:
    explicit ImageLabel(const QString &text, QWidget *parent = nullptr);
    void setImage(const QString &file);
    void removeImage();
    const QString &imagePath() const;

protected: // Functions
    void resizeEvent(QResizeEvent *event) override;

private Q_SLOTS:
    void setScaledImage();

private: // Variables
    const QString m_initialText;
    QString m_imagePath;
    QImage m_image;
    QTimer *m_smoothTimer;

};

#endif // IMAGELABEL_H
