// SPDX-FileCopyrightText: 2023 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef MARGINSPINBOX_H
#define MARGINSPINBOX_H

// Qt includes
#include <QWidget>

// Local classes
class QSpinBox;

class MarginSpinBox : public QWidget
{
    Q_OBJECT

public:
    explicit MarginSpinBox(Qt::Alignment pos, QWidget *parent = nullptr);

public Q_SLOTS:
    void setValue(int value);

Q_SIGNALS:
    void valueChanged(Qt::Alignment pos, int value);

private: // Variables
    QSpinBox *m_margin;

};

#endif // MARGINSPINBOX_H
