// SPDX-FileCopyrightText: 2023-2024 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef PLAYERS_H
#define PLAYERS_H

// Local includes
#include "Draw.h"

// Qt includes
#include <QString>

namespace Players
{

struct Data
{
    QString name;
    int number;
    int marker;
    Draw::Seat assignment;
    int disqualified;
    QString bookingChecksum;
};

const Data noData = {
    QString(),       // name
    0,               // number
    0,               // marker
    Draw::EmptySeat, // assignment
    0,               // disqualified
    QString()        // bookingChecksum
};

struct DisplayData
{
    QString name;
    int number;
    bool disqualified;
    int id;
};

}

#endif // PLAYERS_H
